Extending Qt Creator Manual | VcsBaseEditorConfig

Extending Qt Creator Manual 4.5.2

# VcsBaseEditorConfig Class

(VcsBase::VcsBaseEditorConfig)

The VcsBaseEditorConfig is a widget/action aggregator for use with VcsBase::VcsBaseEditor, influencing for example the generation of VCS diff output. More...

Header: | #include <VcsBaseEditorConfig>

- List of all members, including inherited members

## Public Types

class | ComboBoxItem

## Public Functions

| VcsBaseEditorConfig(QToolBar *toolBar)
| ~VcsBaseEditorConfig() override
QComboBox * | addComboBox(const QStringList &options, const QList<ComboBoxItem> &items)
QAction * | addToggleButton(const QString &option, const QString &label, const QString &tooltip = QString())
QAction * | addToggleButton(const QStringList &options, const QString &label, const QString &tooltip = QString())
virtual QStringList | arguments() const
QStringList | baseArguments() const
void | mapSetting(QAction *button, bool *setting)
void | mapSetting(QComboBox *comboBox, QString *setting)
void | mapSetting(QComboBox *comboBox, int *setting)
void | setBaseArguments(const QStringList &)

## Public Slots

void | executeCommand()
void | handleArgumentsChanged()

## Signals

void | argumentsChanged()
void | commandExecutionRequested()

## Protected Types

class | OptionMapping

## Protected Functions

virtual QStringList | argumentsForOption(const OptionMapping &mapping) const
const QList<OptionMapping> & | optionMappings() const
void | updateMappedSettings()

## Detailed Description

The VcsBaseEditorConfig is a widget/action aggregator for use with VcsBase::VcsBaseEditor, influencing for example the generation of VCS diff output.

The class maintains a list of command line arguments (starting from baseArguments()) which are set according to the state of the inside widgets. A change signal is provided that should trigger the rerun of the VCS operation.

## Member Function Documentation

### VcsBaseEditorConfig::VcsBaseEditorConfig(QToolBar *toolBar)

Default constructs an instance of VcsBaseEditorConfig.

### VcsBaseEditorConfig::~VcsBaseEditorConfig()

Destroys the instance of VcsBaseEditorConfig.

### QComboBox *VcsBaseEditorConfig::addComboBox(const QStringList &options, const QList<ComboBoxItem> &items)

### QAction *VcsBaseEditorConfig::addToggleButton(const QString &option, const QString &label, const QString &tooltip = QString())

### QAction *VcsBaseEditorConfig::addToggleButton(const QStringList &options, const QString &label, const QString &tooltip = QString())

### `[virtual]` QStringList VcsBaseEditorConfig::arguments() const

### `[signal]` void VcsBaseEditorConfig::argumentsChanged()

### `[virtual protected]` QStringList VcsBaseEditorConfig::argumentsForOption(const OptionMapping &mapping) const

### QStringList VcsBaseEditorConfig::baseArguments() const

See also setBaseArguments().

### `[signal]` void VcsBaseEditorConfig::commandExecutionRequested()

### `[slot]` void VcsBaseEditorConfig::executeCommand()

### `[slot]` void VcsBaseEditorConfig::handleArgumentsChanged()

### void VcsBaseEditorConfig::mapSetting(QAction *button, bool *setting)

### void VcsBaseEditorConfig::mapSetting(QComboBox *comboBox, QString *setting)

### void VcsBaseEditorConfig::mapSetting(QComboBox *comboBox, int *setting)

### `[protected]` const QList<OptionMapping> &VcsBaseEditorConfig::optionMappings() const

### void VcsBaseEditorConfig::setBaseArguments(const QStringList &)

See also baseArguments().

### `[protected]` void VcsBaseEditorConfig::updateMappedSettings()